Subject: Time to save money. Stop paying full price for your prescriptions.

From: <[email-masked]>
Date: Wed, 16 Jan 2008 11:16:20 +0300

The most powerful weapon for your battles http://wycg.speeddegree.com